## colord 1.4.5

=== debian/changelog ===
colord (1.4.5-3) unstable; urgency=medium

  * debian/rules:
    - Don't run the tests on big endian systems; some of them are known to
      fail. Fixes FTBFS on s390x

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 12 Nov 2020 15:32:51 +1100

colord (1.4.5-2) unstable; urgency=medium

  * debian/patches/fix-float-comparison-in-tests.patch:
    - Don't assert exact floating point equality for the cd_icc_get_version
      tests. Fixes FTBFS on i386 (and hopefully armel & s390x).
      (Closes: #974089)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 11 Nov 2020 17:29:01 +1100

colord (1.4.5-1) unstable; urgency=medium

  * New upstream 1.4.5 release
    - debian/patches/tests-Make-the-build-reproductible.patch:
    - debian/patches/fix-cd-sensor-dummy.patch:
      + Dropped, included in new upstream release
  * debian/libcolord2.symbols: Add new symbols
  * Bump debhelper to 13
  * debian/control:
  * debian/rules:
  * debian/not-installed:
    - Drop colord-sensor-argyll. This significantly limits colord hardware
      support for monitor calibration, but Argyll is to be removed from the
      archive (Closes: #973712).

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 04 Nov 2020 16:14:07 +1100

=== debian/control ===
Source: colord
Priority: optional
Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 docbook-xsl-ns,
 gobject-introspection,
 gtk-doc-tools,
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libgudev-1.0-dev,
 libgusb-dev (>= 0.2.7),
 liblcms2-dev,
 libpolkit-gobject-1-dev (>= 0.103),
 libsane-dev [linux-any],
 libsqlite3-dev,
 libsystemd-dev [linux-any],
 libudev-dev,
 meson (>= 0.52.0),
 shared-mime-info <!nocheck>,
 systemd [linux-any],
 valac (>= 0.20),
 xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Section: graphics
Homepage: http://www.freedesktop.org/software/colord/
Vcs-Git: https://salsa.debian.org/debian/colord.git
Vcs-Browser: https://salsa.debian.org/debian/colord

Package: libcolord-dev
Section: libdevel
Architecture: linux-any
Depends:
 gir1.2-colord-1.0 (= ${binary:Version}),
 libcolord2 (= ${binary:Version}),
 libglib2.0-dev,
 ${misc:Depends},
Multi-Arch: same
Description: system service to manage device colour profiles -- development files
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains the development files required to build programs against
 the libcolord library.

Package: libcolord2
Section: libs
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 colord,
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: system service to manage device colour profiles -- runtime
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains a gobject-based convenience library for programs to
 interact with the colord system daemon.

Package: colord
Architecture: linux-any
Depends:
 acl,
 adduser,
 colord-data,
 policykit-1 (>= 0.103),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: foreign
Description: system service to manage device colour profiles -- system daemon
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains the dbus-activated colord system daemon.

Package: colord-data
Architecture: all
Depends:
 ${misc:Depends},
Replaces:
 colord (<< 1.2.0-2),
Breaks:
 colord (<< 1.2.0-2),
Description: system service to manage device colour profiles -- data files
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains data for the colord system daemon.

Package: gir1.2-colord-1.0
Section: introspection
Architecture: linux-any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: GObject introspection data for the colord library
 This package contains introspection data for libcolord, a gobject-based
 convenience library for programs to interact with the colord system daemon.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libcolorhug-dev
Section: libdevel
Architecture: linux-any
Depends:
 gir1.2-colorhug-1.0 (= ${binary:Version}),
 libcolord-dev,
 libcolorhug2 (= ${binary:Version}),
 libglib2.0-dev,
 libgusb-dev (>= 0.2.7),
 ${misc:Depends},
Multi-Arch: same
Breaks:
 colorhug-client (<< 0.2.0-3),
Replaces:
 colorhug-client (<< 0.2.0-3),
Description: library to access the ColorHug colourimeter -- development files
 libcolorhug is a gobject-based library for using the ColorHug display
 colourimeter. It supports both reading values from the colourimeter and
 device administration, such as firmware updates.
 .
 This package contains the development files required to build programs against
 the libcolorhug library.

Package: libcolorhug2
Section: libs
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: library to access the ColorHug colourimeter -- runtime
 libcolorhug is a gobject-based library for using the ColorHug display
 colourimeter. It supports both reading values from the colourimeter and
 device administration, such as firmware updates.
 .
 This package contains a gobject-based convenience library for programs to
 interact with the ColorHug colourimeter.

Package: gir1.2-colorhug-1.0
Section: introspection
Architecture: linux-any
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: GObject introspection data for the colorhug library
 This package contains introspection data for libcolorhug, a gobject-based
 library for accessing the ColorHug display colourimeter device.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: colord-tests
Architecture: linux-any
Depends:
 colord,
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: foreign
Description: system service to manage device colour profiles -- test suite
 colord is a system service that makes it easy to manage, install and generate
 colour profiles to accurately colour manage input and output devices.
 .
 It provides a D-Bus API for system frameworks to query, a persistent data
 store, and a mechanism for session applications to set system policy.
 .
 This package contains test programs, designed to be run as a part of a
 regression test suite.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILD_DIR = obj-$(DEB_HOST_GNU_TYPE)

confflags = \
 -Dsession_example=false \
 -Ddaemon_user=colord \
 -Dvapi=true \
 -Ddocs=false \
 -Dinstalled_tests=true \
 -Dargyllcms_sensor=false

ifeq ($(DEB_HOST_ARCH_OS),linux)
	confflags += -Dsane=true
else
	confflags += -Dsane=false -Dsystemd=false -Dudev_rules=false
endif

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_fixperms-arch:
	dh_fixperms -a
	chmod 644 debian/colord/usr/share/bash-completion/completions/colormgr

override_dh_install:
	# Exclude systemd and udev related files
	grep -E -v 'lib/systemd|lib/udev|lib/tmpfiles\.d' debian/colord.install > debian/colord.install.kfreebsd
	grep -E -v 'lib/systemd|lib/udev|lib/tmpfiles\.d' debian/colord.install > debian/colord.install.hurd
	dh_install

override_dh_clean:
	rm -f debian/colord.install.kfreebsd
	rm -f debian/colord.install.hurd
	dh_clean

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -Xcolord-sensors -Xcolord-plugins -- -c4


override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_auto_test
else
	echo "Skipping tests; known broken on big endian systems"
endif


%:
	dh $@ --builddirectory=$(BUILD_DIR) --with gir $(BUILD_PACKAGES)

## colord 1.4.6

=== meson_options.txt ===
option('daemon', type : 'boolean', value : true, description : 'build the daemon')
option('session_example', type : 'boolean', value : false, description : 'Enable session example')
option('bash_completion', type : 'boolean', value : true, description : 'Enable bash completion')
option('udev_rules', type: 'boolean', value: true, description: 'Install udev rules')
option('systemd', type : 'boolean', value : true, description : 'Enable systemd integration')
option('libcolordcompat', type : 'boolean', value : false, description : 'Enable libcolordcompat.so which is used by ArgyllCMS')
option('argyllcms_sensor', type : 'boolean', value : true, description : 'Enable ArgllCMS sensor')
option('sane', type : 'boolean', value : false, description : 'Enable SANE support')
option('introspection', type : 'boolean', value : true, description : 'Build gobject-introspection typelib files')
option('vapi', type : 'boolean', value : false, description : 'Build vala bindings')
option('print_profiles', type : 'boolean', value : false, description : 'Build extra print profiles')
option('tests', type : 'boolean', value : true, description : 'Build self tests')
option('installed_tests', type : 'boolean', value : false, description : 'Install tests')
option('daemon_user', type : 'string', value : 'root', description : 'User for running the colord daemon')
option('pnp_ids', type : 'string', value : '', description : 'Location of pnp.ids if hwdb is not available')
option('man', type : 'boolean', value : true, description : 'Generate man pages')
option('docs', type : 'boolean', value : true, description : 'Generate documentation')

=== debian/changelog ===
colord (1.4.6-2.2devuan1) unstable; urgency=medium

  * Merge tag debian/1.4.6-2.2.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 02 Mar 2023 15:10:06 +0000

colord (1.4.6-2.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Debian Janitor ]
  * d/copyright: Refer to common license file for CC0-1.0
  * d/control: Use secure URI in Homepage field
  * d/colord.maintscript: Remove obsolete maintscript entries
  * d/colord.preinst: Remove empty maintainer script

  [ Simon McVittie ]
  * d/control: Depend on polkitd | policykit-1, not just policykit-1.
    This allows colord to be installed without pulling in the transitional
    package policykit-1, which in turn is enough to avoid policykit-1 being
    included in new bookworm installations of GNOME, KDE Plasma and Xfce.
    (Closes: #1025554, #1025379)
  * d/tests/installed-tests: Fix autopkgtest failure if polkitd-pkla is
    not installed.
    Installing policykit-1 is no longer guaranteed to provide support for
    the legacy .pkla rules language.
  * d/control: Build-depend on libjson-glib-dev.
    This works around a missing dependency by libgusb-dev (see #1032183)
    and can be reverted when that bug is fixed.

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Mar 2023 10:45:31 +0000

colord (1.4.6-2.1devuan1) unstable; urgency=medium

  * Bump source version to track Debian (no change source upload to enable
    migration).
  * d/t/installed-tests calls systemctl so add systemd as dependency so it
    is skipped on Devuan (Closes: #470).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 09 Feb 2023 09:33:35 +0000

colord (1.4.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration

 -- Paul Gevers <elbrus@debian.org>  Sat, 03 Dec 2022 07:26:35 +0100

colord (1.4.6-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.4.6-2.
  * d/control: change maintenance to Devuan Developers List.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 04 Nov 2022 07:00:47 +0000

colord (1.4.6-2) unstable; urgency=medium

  * debian/control:
    - Build-Depend on polkitd. Fixes FTBFS (Closes: #1022355)
    - Bump Standards-Version to 4.6.1 (no changes needed)
  * debian/rules:
  * debian/control:
  * debian/not-installed:
    - Re-enable Argyll support. Argyll no longer appears in danger of
      being removed from the archive.
  * debian/copyright:
    - Fix misspelling of Richard Hughes' name
    - Drop no-longer-necessary Files: stanzas
    - Include full license details of data/profiles

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 01 Nov 2022 11:02:35 +0100

colord (1.4.6-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.4.6-1.
  * Cherry pick Debian commit 76264f4d to increase dh_auto_test timeout.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 22 Feb 2022 19:41:37 +0000

colord (1.4.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop patch: applied in new release
  * debian/control: Bump minimum glib to 2.58
  * debian/control: Drop obsolete Pre-Depends
  * Build-Depend on dh-sequence-gir
  * Simplify debian/rules a bit
  * debian/rules: Don't make installed-tests data executable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 08:25:46 -0500

colord (1.4.5-3+devuan1) unstable; urgency=medium

  * Merge Debian 1.4.5-3.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 21 Jan 2021 21:04:03 +0000

colord (1.4.5-1+devuan1) unstable; urgency=medium

  * Merge Debian 1.4.5-1.
  * d/control: update Vcs-* following gitea migration.
  * d/patches: remove unused obsolete patch.
  * d/rules: cleanup obsolete meson options.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 09 Nov 2020 16:54:57 +0000

colord (1.4.4-2+devuan1) unstable; urgency=medium

  * Merge Debian version 1.4.4-2.
  * d/control: Update Vcs-* URLs.
  * d/control: add Origin: Devuan.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 03 Apr 2020 11:36:57 +0100

colord (1.4.3-4+devuan1) unstable; urgency=medium

  * Merge 1.4.3-4 into unstable.
  * Update debian-branch and add debian-tag to d/gbp.conf.
  * Add myself to uploaders.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 17 Dec 2019 18:29:15 +0000

colord (1.4.3-3+devuan1) unstable; urgency=medium

  * merged 1.4.3-3 into unstable 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 02 Nov 2018 18:21:04 +0000

colord (1.3.3-1+devuan1) unstable; urgency=medium

  [ KatolaZ ]
  * re-applied Devuan (jessie) patches over 1.2.1-1 from Debian
  * added KatolaZ as uploader
  * merged 1.3.3-1 from upstream

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Thu, 18 Jan 2018 12:30:52 +0000

colord (1.2.1-1+devuan1) unstable; urgency=medium

  * debian/*: basic systemd extirpation.

 -- Denis Roio <jaromil@dyne.org>  Sat, 14 Feb 2015 17:50:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,38 @@
 Source: colord
 Priority: optional
-Maintainer: Christopher James Halse Rogers <raof@ubuntu.com>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>, Denis Roio <jaromil@dyne.org>
 Build-Depends:
  bash-completion,
  debhelper-compat (= 13),
+ dh-sequence-gir,
  docbook-xsl-ns,
- gobject-introspection,
  gtk-doc-tools,
  libdbus-1-dev,
  libgirepository1.0-dev,
- libglib2.0-dev,
+ libglib2.0-dev (>= 2.58),
  libgudev-1.0-dev,
  libgusb-dev (>= 0.2.7),
+ libjson-glib-dev,
  liblcms2-dev,
  libpolkit-gobject-1-dev (>= 0.103),
  libsane-dev [linux-any],
  libsqlite3-dev,
- libsystemd-dev [linux-any],
  libudev-dev,
  meson (>= 0.52.0),
+ polkitd,
  shared-mime-info <!nocheck>,
- systemd [linux-any],
  valac (>= 0.20),
  xsltproc,
+Build-Depends-Indep:
+ argyll [linux-any],
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Section: graphics
-Homepage: http://www.freedesktop.org/software/colord/
-Vcs-Git: https://salsa.debian.org/debian/colord.git
-Vcs-Browser: https://salsa.debian.org/debian/colord
+Homepage: https://www.freedesktop.org/software/colord/
+Vcs-Git: https://git.devuan.org/devuan/colord.git
+Vcs-Browser: https://git.devuan.org/devuan/colord
+Origin: Devuan
 
 Package: libcolord-dev
 Section: libdevel
@@ -36,7 +40,7 @@
 Depends:
  gir1.2-colord-1.0 (= ${binary:Version}),
  libcolord2 (= ${binary:Version}),
- libglib2.0-dev,
+ libglib2.0-dev (>= 2.58),
  ${misc:Depends},
 Multi-Arch: same
 Description: system service to manage device colour profiles -- development files
@@ -57,8 +61,6 @@
  ${shlibs:Depends},
 Suggests:
  colord,
-Pre-Depends:
- ${misc:Pre-Depends},
 Multi-Arch: same
 Description: system service to manage device colour profiles -- runtime
  colord is a system service that makes it easy to manage, install and generate
@@ -76,11 +78,11 @@
  acl,
  adduser,
  colord-data,
- policykit-1 (>= 0.103),
- ${misc:Depends},
- ${shlibs:Depends},
-Pre-Depends:
- ${misc:Pre-Depends},
+ polkitd | policykit-1 (>= 0.103),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ colord-sensor-argyll,
 Multi-Arch: foreign
 Description: system service to manage device colour profiles -- system daemon
  colord is a system service that makes it easy to manage, install and generate
@@ -90,6 +92,48 @@
  store, and a mechanism for session applications to set system policy.
  .
  This package contains the dbus-activated colord system daemon.
+
+Package: colord-sensor-argyll
+Architecture: linux-any
+Depends:
+ argyll,
+ colord,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Replaces:
+ colord (<< 1.2.11-1~),
+Breaks:
+ colord (<< 1.2.11-1~),
+Enhances:
+ colord,
+Description: system service to manage device colour profiles -- argyll sensor plugin
+ colord is a system service that makes it easy to manage, install and generate
+ colour profiles to accurately colour manage input and output devices.
+ .
+ It provides a D-Bus API for system frameworks to query, a persistent data
+ store, and a mechanism for session applications to set system policy.
+ .
+ This package contains a sensor plugin that uses the Argyll tools, allowing
+ colord to support colourimeters that are supported by Argyll.
+
+# Package: colord-argyll-plugin
+# Architecture: any
+# Depends:
+#  ${shlibs:Depends},
+#  ${misc:Depends},
+#  colord,
+# Pre-Depends: ${misc:Pre-Depends}
+# Multi-Arch: same
+# Enhances: argyll (>= 1.6)
+# Description: system service to manage device colour profiles -- argyll integration
+#  colord is a system service that makes it easy to manage, install and generate
+#  colour profiles to accurately colour manage input and output devices.
+#  .
+#  It provides a D-Bus API for system frameworks to query, a persistent data
+#  store, and a mechanism for session applications to set system policy.
+#  .
+#  This package contains an Argyll integration plugin, allowing Argyll tools to
+#  lookup, load, and store profiles using colord.
 
 Package: colord-data
 Architecture: all
@@ -152,8 +196,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Pre-Depends:
- ${misc:Pre-Depends},
 Multi-Arch: same
 Description: library to access the ColorHug colourimeter -- runtime
  libcolorhug is a gobject-based library for using the ColorHug display
@@ -184,8 +226,6 @@
  colord,
  ${misc:Depends},
  ${shlibs:Depends},
-Pre-Depends:
- ${misc:Pre-Depends},
 Multi-Arch: foreign
 Description: system service to manage device colour profiles -- test suite
  colord is a system service that makes it easy to manage, install and generate

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

confflags = \
 -Dsession_example=false \
 -Ddaemon_user=colord \
 -Dvapi=true \
 -Ddocs=false \
 -Dinstalled_tests=true \
 -Dargyllcms_sensor=true \

ifeq ($(DEB_HOST_ARCH_OS),linux)
	confflags += -Dsane=true -Dsystemd=false
	indep_flags = -Dprint_profiles=true
else
	confflags += -Dsane=false -Dsystemd=false -Dudev_rules=false
	indep_flags = -Dprint_profiles=false
endif

debian/stamps/generate_meson_build_system:
	mkdir -p debian/stamps
	touch debian/stamps/generate_meson_build_system
	dh_auto_configure -- $(confflags)

override_dh_auto_configure-arch: debian/stamps/generate_meson_build_system

override_dh_auto_configure-indep: debian/stamps/generate_meson_build_system
	meson configure $(BUILD_DIR) $(confflags) $(indep_flags)

execute_after_dh_fixperms-arch:
	chmod 644 debian/colord/usr/share/bash-completion/completions/colormgr

execute_before_dh_install:
	# Exclude systemd and udev related files
	grep -E -v 'lib/systemd|lib/udev|lib/tmpfiles\.d' debian/colord.install > debian/colord.install.kfreebsd
	grep -E -v 'lib/systemd|lib/udev|lib/tmpfiles\.d' debian/colord.install > debian/colord.install.hurd

execute_before_dh_clean:
	rm -f debian/colord.install.kfreebsd
	rm -f debian/colord.install.hurd

override_dh_makeshlibs:
	dh_makeshlibs -Xcolord-sensors -Xcolord-plugins -- -c4

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_auto_test -- --timeout-multiplier 3
else
	echo "Skipping tests; known broken on big endian systems"
endif


%:
	dh $@

## colord 1.4.7

=== debian/changelog ===
colord (1.4.7-3devuan1) unstable; urgency=medium

  * Merge tag debian/1.4.7-3.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 03 Mar 2025 18:07:23 +0000

colord (1.4.7-3) unstable; urgency=medium

  * Team upload

  [ Petter Reinholdtsen ]
  * Fixed typo in AppStream metadata XML causing info to not propagate
    (Closes: #1099201)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Mar 2025 12:37:57 -0500

colord (1.4.7-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.4.7-2.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 27 Feb 2025 21:26:43 +0000

colord (1.4.7-2) unstable; urgency=medium

  * Team upload

  [ Petter Reinholdtsen ]
  * Add AppStream metainfo XML with hardware provide info (Closes: #1077046)

  [ Jeremy Bícha ]
  * Add ${gir:Provides} & ${gir:Provides} to -dev packages

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Feb 2025 13:28:35 -0500

colord (1.4.7-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.4.7-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 20 Feb 2024 17:57:29 +0000

colord (1.4.7-1) unstable; urgency=medium

  * New upstream release
  * Drop alternate dependency on policykit-1
  * Drop unused Build-Depends: systemd (Closes: #1060555)
  * Drop remaining patch: applied in new release
  * Cherry-pick various post-release fixes

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 17 Feb 2024 14:31:19 -0500

colord (1.4.6-5devuan1) unstable; urgency=medium

  * Merge tag debian/1.4.6-5.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 05 Jan 2024 18:13:42 +0000

colord (1.4.6-5) unstable; urgency=medium

  * Change Maintainer to freedesktop team with former Maintainer's approval
    (Closes: #1053176)
  * Cherry-pick patch to update ColorHug URL
  * Add debian/upstream/metadata
  * Remove an obsolete maintscript entry
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Jan 2024 14:28:05 -0500

colord (1.4.6-4devuan1) unstable; urgency=medium

  * Merge tag debian/1.4.6-4.
  * Revert use of pkgconf and systemd.pc.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 15 Nov 2023 16:51:39 +0000

colord (1.4.6-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1053113)

  [ Christopher James Halse Rogers ]
  * debian/rules:
    debian/colord.install:
    - Also pull the rest of the install paths out of systemd.pc/udev.pc

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 15 Nov 2023 16:10:23 +1100

colord (1.4.6-3devuan1) unstable; urgency=medium

  * Merge tag debian/1.4.6-3.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 14 Sep 2023 18:43:23 +0100

colord (1.4.6-3) unstable; urgency=medium

  * Team upload (Closes: #1032263)
  * Simplify handling of arch:all/arch:any builds (Closes: #1040682)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Sep 2023 11:07:00 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
  debhelper-compat (= 13),
  dh-sequence-gir,
  docbook-xsl-ns,
+ gir1.2-gio-2.0-dev,
+ gir1.2-gobject-2.0-dev,
  gtk-doc-tools,
  libdbus-1-dev,
  libgirepository1.0-dev,
@@ -27,7 +29,7 @@
 Build-Depends-Indep:
  argyll [linux-any],
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: graphics
 Homepage: https://www.freedesktop.org/software/colord/
 Vcs-Git: https://git.devuan.org/devuan/colord.git
@@ -38,10 +40,11 @@
 Section: libdevel
 Architecture: linux-any
 Depends:
- gir1.2-colord-1.0 (= ${binary:Version}),
  libcolord2 (= ${binary:Version}),
  libglib2.0-dev (>= 2.58),
- ${misc:Depends},
+ ${gir:Depends},
+ ${misc:Depends},
+Provides: ${gir:Provides},
 Multi-Arch: same
 Description: system service to manage device colour profiles -- development files
  colord is a system service that makes it easy to manage, install and generate
@@ -78,7 +81,7 @@
  acl,
  adduser,
  colord-data,
- polkitd | policykit-1 (>= 0.103),
+ polkitd,
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
@@ -158,7 +161,6 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
- ${shlibs:Depends},
 Multi-Arch: same
 Description: GObject introspection data for the colord library
  This package contains introspection data for libcolord, a gobject-based
@@ -171,12 +173,13 @@
 Section: libdevel
 Architecture: linux-any
 Depends:
- gir1.2-colorhug-1.0 (= ${binary:Version}),
  libcolord-dev,
  libcolorhug2 (= ${binary:Version}),
  libglib2.0-dev,
  libgusb-dev (>= 0.2.7),
- ${misc:Depends},
+ ${gir:Depends},
+ ${misc:Depends},
+Provides: ${gir:Provides}
 Multi-Arch: same
 Breaks:
  colorhug-client (<< 0.2.0-3),
@@ -211,7 +214,6 @@
 Depends:
  ${gir:Depends},
  ${misc:Depends},
- ${shlibs:Depends},
 Multi-Arch: same
 Description: GObject introspection data for the colorhug library
  This package contains introspection data for libcolorhug, a gobject-based

=== debian/rules ===
--- 
+++ 
@@ -27,15 +27,11 @@
 	indep_flags = -Dprint_profiles=false
 endif
 
-debian/stamps/generate_meson_build_system:
-	mkdir -p debian/stamps
-	touch debian/stamps/generate_meson_build_system
+override_dh_auto_configure-arch:
 	dh_auto_configure -- $(confflags)
 
-override_dh_auto_configure-arch: debian/stamps/generate_meson_build_system
-
-override_dh_auto_configure-indep: debian/stamps/generate_meson_build_system
-	meson configure $(BUILD_DIR) $(confflags) $(indep_flags)
+override_dh_auto_configure-indep:
+	dh_auto_configure -- $(confflags) $(indep_flags)
 
 execute_after_dh_fixperms-arch:
 	chmod 644 debian/colord/usr/share/bash-completion/completions/colormgr

## colord 1.4.8

=== meson_options.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 option('bash_completion', type : 'boolean', value : true, description : 'Enable bash completion')
 option('udev_rules', type: 'boolean', value: true, description: 'Install udev rules')
 option('systemd', type : 'boolean', value : true, description : 'Enable systemd integration')
+option('systemd_root_prefix', type: 'string', value: '', description: 'Directory to base systemd’s installation directories on')
 option('libcolordcompat', type : 'boolean', value : false, description : 'Enable libcolordcompat.so which is used by ArgyllCMS')
 option('argyllcms_sensor', type : 'boolean', value : true, description : 'Enable ArgllCMS sensor')
 option('sane', type : 'boolean', value : false, description : 'Enable SANE support')

=== debian/changelog ===
colord (1.4.8-2) unstable; urgency=medium

  * Remove unnecessary Build-Depends: libgirepository1.0-dev (Closes: #1118806)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Oct 2025 20:57:32 -0400

colord (1.4.8-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * debian/watch: Convert to Version: 5
  * Remove all patches: applied in new release
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

  [ Luca Boccassi ]
  * d/control: systemd-dev is arch: all, no need for linux-any qualifier
  * d/rules: install tmpfiles.d on non-linux too
  * Install upstream's sysusers.d file
  * Drop colord.postinst, covered by sysusers.d and tmpfiles.d

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Sep 2025 14:21:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: colord
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>, Mark (LeePen) Hindley <mark@hindley.org.uk>, Denis Roio <jaromil@dyne.org>
+Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Uploaders: Christopher James Halse Rogers <raof@ubuntu.com>,
+ Jeremy Bícha <jbicha@ubuntu.com>,
 Build-Depends:
  bash-completion,
  debhelper-compat (= 13),
  dh-sequence-gir,
+ dh-sequence-installsysusers,
  docbook-xsl-ns,
  gir1.2-gio-2.0-dev,
  gir1.2-gobject-2.0-dev,
+ gir1.2-gusb-1.0-dev,
  gtk-doc-tools,
  libdbus-1-dev,
- libgirepository1.0-dev,
  libglib2.0-dev (>= 2.58),
  libgudev-1.0-dev,
  libgusb-dev (>= 0.2.7),
@@ -20,21 +22,22 @@
  libpolkit-gobject-1-dev (>= 0.103),
  libsane-dev [linux-any],
  libsqlite3-dev,
+ libsystemd-dev [linux-any],
  libudev-dev,
  meson (>= 0.52.0),
+ pkgconf,
  polkitd,
  shared-mime-info <!nocheck>,
+ systemd-dev,
  valac (>= 0.20),
  xsltproc,
 Build-Depends-Indep:
  argyll [linux-any],
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: graphics
 Homepage: https://www.freedesktop.org/software/colord/
-Vcs-Git: https://git.devuan.org/devuan/colord.git
-Vcs-Browser: https://git.devuan.org/devuan/colord
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/debian/colord.git
+Vcs-Browser: https://salsa.debian.org/debian/colord
 
 Package: libcolord-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

confflags = \
 -Dsession_example=false \
 -Ddaemon_user=colord \
 -Dvapi=true \
 -Ddocs=false \
 -Dinstalled_tests=true \
 -Dargyllcms_sensor=true \

export deb_systemd_tmpfiles_dir = $(shell pkgconf --variable=tmpfiles_dir systemd | sed s,^/,,)
export deb_systemd_sysusers_dir = $(shell pkgconf --variable=sysusers_dir systemd | sed s,^/,,)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	confflags += -Dsane=true
	indep_flags = -Dprint_profiles=true
	export deb_systemd_system_unit_dir = $(shell pkgconf --variable=systemd_system_unit_dir systemd | sed s,^/,,)
	export deb_systemd_user_unit_dir = $(shell pkgconf --variable=systemd_user_unit_dir systemd | sed s,^/,,)
	export deb_udev_dir = $(shell pkgconf --variable=udev_dir udev | sed s,^/,,)
else
	confflags += -Dsane=false -Dsystemd=false -Dudev_rules=false
	indep_flags = -Dprint_profiles=false
endif

override_dh_auto_configure-arch:
	dh_auto_configure -- $(confflags)

override_dh_auto_configure-indep:
	dh_auto_configure -- $(confflags) $(indep_flags)

execute_after_dh_fixperms-arch:
	chmod 644 debian/colord/usr/share/bash-completion/completions/colormgr

execute_before_dh_install:
	# Exclude systemd and udev related files
	grep -E -v 'deb_systemd_system_unit_dir|deb_systemd_user_unit_dir|deb_udev_dir' debian/colord.install > debian/colord.install.kfreebsd
	grep -E -v 'deb_systemd_system_unit_dir|deb_systemd_user_unit_dir|deb_udev_dir' debian/colord.install > debian/colord.install.hurd

execute_before_dh_clean:
	rm -f debian/colord.install.kfreebsd
	rm -f debian/colord.install.hurd

override_dh_makeshlibs:
	dh_makeshlibs -Xcolord-sensors -Xcolord-plugins

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_auto_test -- --timeout-multiplier 3
else
	echo "Skipping tests; known broken on big endian systems"
endif


%:
	dh $@

=== debian/tests/control ===
Tests: installed-tests
Restrictions: needs-root, breaks-testbed, flaky
Depends:
 colord-tests,
 dbus (>= 1.8),
 gnome-desktop-testing,
 gnome-session,
 gnome-settings-daemon,
 xauth,
 xvfb,

=== debian/watch ===
Version: 5
Source: https://www.freedesktop.org/software/colord/releases/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto
